<% include ../template/header %>
<script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyDsORswvfIOdE5ZfCHwW5cFs7Tkb9dfHd8"></script>
<script src="https://unpkg.com/axios/dist/axios.min.js"></script>

<style>
        #map{
           height:400px;
           width:100%;
         }
</style>

<div id="map"></div>    


<script>
    
    var map = new google.maps.Map(document.getElementById('map'), {
          center:{lat:-8.762996,lng: -63.835537},
          zoom: 10}
        
        );

       
    axios.get('/maps/json')
      .then(function(response){
     
            
            console.log(response.data)

        
           // // Loop through markers
            for(var i = 0;i < response.data.length;i++){
              //Add marker
             // console.log(response.data[i].coords)
                addMarker(response.data[i]);
            }
      
            // Add Marker Function
            function addMarker(props){
              
              console.log(props)

              var marker = new google.maps.Marker({
                position:props.coords,
                map:map,
                //icon:props.iconImage
              });
      
              // Check for customicon
              if(props.iconImage){
                // Set icon image
                marker.setIcon(props.iconImage);
              }
      
              // Check content
              if(props.content){
                var infoWindow = new google.maps.InfoWindow({
                  content:props.content
                });
      
                marker.addListener('click', function(){
                  infoWindow.open(map, marker);
                });
              }
            }

      });

       
</script>

<% include ../template/footer %>


<!-- var markerss = [];

for (let index = 0; index <  response.data.length; index++) {
    const element =  response.data[index];
   
        var objeto = {
        coords:{lat: response.data[index].latitude,lng: response.data[index].longitude},
        content: response.data[index].nome
    }

    markerss.push(objeto);

    console.log(element)
    
}

// response.data.forEach(element => {
//     var objeto = {
//         coords:{lat:element.latitude,lng:element.longitude},
//         content: element.nome
//     }

//     markerss.push(objeto);
// });
 
  console.log(markerss)
 
 var markers = [
      {
       // center:{lat:-8.762996,lng: -63.835537}
        coords:{lat:-8.762996,lng: -63.835537},
        iconImage:'https://developers.google.com/maps/documentation/javascript/examples/full/images/beachflag.png',
        content:'<h4>Glaudes</h4>'
      },
      {
        coords:{lat:42.8584,lng:-70.9300},
        content:'<h1>Amesbury MA</h1>'
      },

        {
          coords:{lat:-8.7688951,lng: -63.8425077}
        },

         {
          coords:{lat:-8.7622273,lng: -63.84395009999999}
        }
    ]; -->
